LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::text::TimeDisplayFormat Constant Group Referencepublished

These constants define how a time field is formatted before it is displayed. More...

## Variables
const short | STANDARD = 0
| the system standard More...
const short | HHMM = 1
| 13:49 More...
const short | HHMMSS = 2
| 13:49:20 More...
const short | HHMMSS00 = 3
| 13:49:20.30 More...
const short | HHMMAMPM = 4
| 01:49 More...
const short | HHMMSSAMPM = 5
| 01:49:20 More...
const short | HHMMSS00AMPM = 6
| 01:49:20.30 More...

## Detailed Description

These constants define how a time field is formatted before it is displayed.

The format may also depend on the system or document locale.

Deprecated:

## Variable Documentation

## ◆ HHMM

const short HHMM = 1

13:49

## ◆ HHMMAMPM

const short HHMMAMPM = 4

01:49

## ◆ HHMMSS

const short HHMMSS = 2

13:49:20

## ◆ HHMMSS00

const short HHMMSS00 = 3

13:49:20.30

## ◆ HHMMSS00AMPM

const short HHMMSS00AMPM = 6

01:49:20.30

## ◆ HHMMSSAMPM

const short HHMMSSAMPM = 5

01:49:20

## ◆ STANDARD

const short STANDARD = 0

the system standard